package eu.clarin.cqi.ws.resources;

import javax.ws.rs.WebApplicationException;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

/**
 *
 * @author akislev
 */
public class ResourceException extends WebApplicationException {

    public ResourceException(String message) {
        super(Response.status(Response.Status.BAD_REQUEST).entity(message).type(MediaType.TEXT_PLAIN_TYPE).build());
    }

    public ResourceException(Throwable cause) {
        super(Response.status(Response.Status.BAD_REQUEST).entity(cause.getMessage()).type(MediaType.TEXT_PLAIN_TYPE).build());
    }
}
